--- rtp.old	2005-03-31 15:33:36.000000000 +0200
+++ rtp.c	2005-03-31 15:57:20.000000000 +0200
@@ -56,7 +56,7 @@
 static int rtpdebug = 0;		/* Are we debugging? */
 static struct sockaddr_in rtpdebugaddr;	/* Debug packets to/from this host */
 #ifdef SO_NO_CHECK
-static int checksums = 1;
+static int nochecksums = 0;
 #endif
 
 /* The value of each payload format mapping: */
@@ -857,8 +857,8 @@
 		flags = fcntl(s, F_GETFL);
 		fcntl(s, F_SETFL, flags | O_NONBLOCK);
 #ifdef SO_NO_CHECK
-		if (checksums) {
-			setsockopt(s, SOL_SOCKET, SO_NO_CHECK, &checksums, sizeof(checksums));
+		if (nochecksums) {
+			setsockopt(s, SOL_SOCKET, SO_NO_CHECK, &nochecksums, sizeof(nochecksums));
 		}
 #endif
 	}
@@ -1744,7 +1744,7 @@
 	rtpstart = 5000;
 	rtpend = 31000;
 #ifdef SO_NO_CHECK
-	checksums = 1;
+	nochecksums = 0;
 #endif
 	cfg = ast_config_load("rtp.conf");
 	if (cfg) {
@@ -1765,9 +1765,9 @@
 		if ((s = ast_variable_retrieve(cfg, "general", "rtpchecksums"))) {
 #ifdef SO_NO_CHECK
 			if (ast_true(s))
-				checksums = 1;
+				nochecksums = 0;
 			else
-				checksums = 0;
+				nochecksums = 1;
 #else
 			if (ast_true(s))
 				ast_log(LOG_WARNING, "Disabling RTP checksums is not supported on this operating system!\n");
